Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xpath.compiler
Class PsuedoNames

    java.lang.Object
      |
      +--org.apache.xpath.compiler.PsuedoNames

public class PsuedoNames
extends java.lang.Object

Field Summary
`static java.lang.String` | `PSEUDONAME_ANY` **For advanced use only** used mainly for keys in the pattern lookup table, for those nodes that don't have unique lookup values.
`static java.lang.String` | `PSEUDONAME_COMMENT` **For advanced use only** used mainly for keys in the pattern lookup table, for those nodes that don't have unique lookup values.
`static java.lang.String` | `PSEUDONAME_OTHER` **For advanced use only** used mainly for keys in the pattern lookup table, for those nodes that don't have unique lookup values.
`static java.lang.String` | `PSEUDONAME_PI` **For advanced use only** used mainly for keys in the pattern lookup table, for those nodes that don't have unique lookup values.
`static java.lang.String` | `PSEUDONAME_ROOT` **For advanced use only** used mainly for keys in the pattern lookup table, for those nodes that don't have unique lookup values.
`static java.lang.String` | `PSEUDONAME_TEXT` **For advanced use only** used mainly for keys in the pattern lookup table, for those nodes that don't have unique lookup values.

Constructor Summary
`PsuedoNames()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PSEUDONAME_ANY

    public static final java.lang.String PSEUDONAME_ANY

  **For advanced use only** used mainly for keys in the pattern lookup table, for those nodes that don't have unique lookup values.

### PSEUDONAME_ROOT

    public static final java.lang.String PSEUDONAME_ROOT

  **For advanced use only** used mainly for keys in the pattern lookup table, for those nodes that don't have unique lookup values.

### PSEUDONAME_TEXT

    public static final java.lang.String PSEUDONAME_TEXT

  **For advanced use only** used mainly for keys in the pattern lookup table, for those nodes that don't have unique lookup values.

### PSEUDONAME_COMMENT

    public static final java.lang.String PSEUDONAME_COMMENT

  **For advanced use only** used mainly for keys in the pattern lookup table, for those nodes that don't have unique lookup values.

### PSEUDONAME_PI

    public static final java.lang.String PSEUDONAME_PI

  **For advanced use only** used mainly for keys in the pattern lookup table, for those nodes that don't have unique lookup values.

### PSEUDONAME_OTHER

    public static final java.lang.String PSEUDONAME_OTHER

  **For advanced use only** used mainly for keys in the pattern lookup table, for those nodes that don't have unique lookup values.

Constructor Detail

### PsuedoNames

    public PsuedoNames()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.